# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcResponse.Type

Packages that use PSRpcResponse.Type
Package
Description
org.apache.sysds.runtime.controlprogram.paramserv.rpc

## Uses of PSRpcResponse.Type in org.apache.sysds.runtime.controlprogram.paramserv.rpc

Methods in org.apache.sysds.runtime.controlprogram.paramserv.rpc that return PSRpcResponse.Type
Modifier and Type
Method
Description
`static PSRpcResponse.Type`
PSRpcResponse.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PSRpcResponse.Type[]`
PSRpcResponse.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.controlprogram.paramserv.rpc with parameters of type PSRpcResponse.Type
Modifier
Constructor
Description
``
`PSRpcResponse(PSRpcResponse.Type status)`
``
`PSRpcResponse(PSRpcResponse.Type status, Object data)`